Subject: [dhcwg] dhcp6 verndor class option

From: Keshava <[email-masked]>
Date: Fri, 27 Aug 2004 19:39:52 +0530

Hi,
    Can you please clarify  in he RFC 3315 (DHCP6) 

   "Appearance of Options in Message Types" section mentions that the dhcp6 relay should support 
     vendor class option.
  
    But in the message processing in the "Section 22.16 Vendor Class Option"  does not mention any 
    thing about this for relay . It only mentions about how the client should process this.

     Can some one please clarify this  what should be done for dhcp6 relay ?

regards,
keshava
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz" <[email-masked]>
Date: Tue, 31 Aug 2004 21:31:50 -0400

If there's relay specific information that could be used by a server (or
other relay), there is no reason the relay can't include this in its
Relay-Forw message (and the server return information in the Relay-Reply).

Note that Appendix A, Appearance of Options in Message Types, indicates that
these are valid:

            Status  Rap. User  Vendor Vendor Inter. Recon. Recon.
             Code  Comm. Class Class  Spec.    ID    Msg.  Accept
   R-forw.                 *     *      *      *
   R-repl.                 *     *      *      *

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Keshava
Sent: Friday, August 27, 2004 10:10 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [dhcwg] dhcp6 verndor class option

Hi,

   "Appearance of Options in Message Types" section mentions that the dhcp6
relay should support 
     vendor class option.
  
    But in the message processing in the "Section 22.16 Vendor Class Option"
does not mention any 
    thing about this for relay . It only mentions about how the client
should process this.

regards,
keshava